declare const _sfc_main: import("vue").DefineComponent<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
}, {
    props: any;
    videoSrc: import("vue").ComputedRef<string | undefined>;
    posterSrc: import("vue").ComputedRef<string | undefined>;
    playing: import("vue").Ref<boolean>;
    setPlaying: (value: boolean) => void;
    togglePlay: (event: MouseEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
}>>, {
    lazy: boolean;
    autoplay: boolean;
    controls: boolean;
    loop: boolean;
    muted: boolean;
    cover: boolean;
    playsinline: boolean;
}>;
export default _sfc_main;
